org.apache.cassandra.cache

## Class KeyCacheKey

- java.lang.Object
- - org.apache.cassandra.cache.KeyCacheKey

- All Implemented Interfaces:
    CacheKey, IMeasurableMemory

      public class KeyCacheKey
      extends java.lang.Object
      implements CacheKey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Descriptor` | `desc`
    `byte[]` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyCacheKey(Descriptor desc, java.nio.ByteBuffer key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `Pair<java.lang.String,java.lang.String>` | `getPathInfo()`
    `int` | `hashCode()`
    `long` | `memorySize()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### desc

          public final Descriptor desc

    - #### key

          public final byte[] key

  - ### Constructor Detail

    - #### KeyCacheKey

          public KeyCacheKey(Descriptor desc,
                     java.nio.ByteBuffer key)

  - ### Method Detail

    - #### getPathInfo

          public Pair<java.lang.String,java.lang.String> getPathInfo()

      Specified by:
        `getPathInfo` in interface `CacheKey`
      Returns:
        The keyspace and ColumnFamily names to which this key belongs

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### memorySize

          public long memorySize()

      Specified by:
        `memorySize` in interface `IMeasurableMemory`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation